using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_GuanLiYuan_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除管理员", "网站后台", "删除管理员", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("25");

        int ID = Convert.ToInt32(Request.QueryString["ID"]);

        String 昵称;
        SqlCommand 语句 = new SqlCommand("SELECT [昵称] FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
            昵称 = Convert.ToString(读取["昵称"]);
        else
        {
            读取.Close();
            throw new Exception("用户不存在");
        }
        读取.Close();

        if (昵称 == "Admin")
            throw new Exception("管理员[Admin]无法删除。");

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("删除管理员[" + 昵称 + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("GuanLiYuan.aspx");
    }
}
